var spreadFlockAskDlg = {};
const PREF_SPREAD_FLOCK = 'flock.photo.spreadFlock.include';
const PREF_TAGLINE = 'flock.photo.tagline';

spreadFlockAskDlg.mPrefSvc = null;

spreadFlockAskDlg.load = function() {
    this.mPrefSvc = Components.classes["@mozilla.org/preferences-service;1"]
                               .getService(Components.interfaces.nsIPrefBranch);
    this.mPrefObserverSvc = this.mPrefSvc.QueryInterface (Components.interfaces.nsIPrefBranchInternal);

    this.setupImage ();

    this.mPrefObserverSvc.addObserver (PREF_TAGLINE, this, false);
}

spreadFlockAskDlg.setupImage = function () {
    document.getElementById('flock-props-image').setAttribute ('src', 'http://spread.flock.com/taglines/images/' +
    this.mPrefSvc.getCharPref (PREF_TAGLINE));
}

spreadFlockAskDlg.accept = function() {
  window.opener.success=true;
}

spreadFlockAskDlg.cancel = function() {
  window.opener.success=false;
}

spreadFlockAskDlg.unload = function() {
    this.mPrefObserverSvc.removeObserver (PREF_TAGLINE, this);
}

spreadFlockAskDlg.changeTagLine = function () {
    window.openDialog ("chrome://browser/content/flock/photo/taglineChooser.xul", "_blank", "modal,close,centerscreen");
}

spreadFlockAskDlg.observe = function (subject, topic, prefName) {
    if (topic == 'nsPref:changed' && prefName == PREF_TAGLINE) {
        this.setupImage ();
    }
}
